<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# заголовок
$set['title']='Купить защиту';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

if (isset($user))
{

$action=htmlspecialchars(trim($_GET['action']));

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/user_a_protection.gif" alt="*" /></div>';

# блоки
switch($_GET['action']){

#********************* Главный блок *****************#
default:

# текст
echo '<div class="zona_menu">
Определяет, какой урон ты можешь заблокировать.
</div>';


# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_protections.php?action=lot_1"> Купить 1 ед.</a> за 10 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_protections.php?action=lot_3"> Купить 3 ед.</a> за 25 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_protections.php?action=lot_5"> Купить 5 ед.</a> за 40 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_protections.php?action=lot_10"> Купить 10 ед.</a> за 75 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';

# конец
break;

#********************* 1 *****************#
case 'lot_1':

# бабок нет
if($user['zona_balls']<10){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки защиты нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 10 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_zachita`=`zona_zachita`+'1' ,`zona_balls`=`zona_balls`-'10' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 1 ед. защиты .  .
</div>';
}

# конец
break;

#********************* 3 *****************#
case 'lot_3':

# бабок нет
if($user['zona_balls']<25){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки защиты нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 25 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_zachita`=`zona_zachita`+'3' ,`zona_balls`=`zona_balls`-'25' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 3 ед. защиты .  .
</div>';
}

# конец
break;


#********************* 5 *****************#
case 'lot_5':

# бабок нет
if($user['zona_balls']<40){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки защиты нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 40 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_zachita`=`zona_zachita`+'5' ,`zona_balls`=`zona_balls`-'40' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 5 ед. защиты .  .
</div>';
}

# конец
break;

#********************* 10 *****************#
case 'lot_10':

# бабок нет
if($user['zona_balls']<75){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки защиты нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 75 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_zachita`=`zona_zachita`+'10' ,`zona_balls`=`zona_balls`-'75' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 10 ед. защиты .  .
</div>';
}

# конец
break;

}
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_dexterity.png" alt="*" /> <a href="black.php"> Обратно в магазин</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';
}

else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}
include_once '../../sys/inc/tfoot.php';
?>
